%{?nodejs_find_provides_and_requires}

%global packagename content-disposition
%global enable_tests 1

Name:		nodejs-content-disposition
Version:	0.5.1
Release:	1%{?dist}
Summary:	Create and parse Content-Disposition header

License:	MIT
URL:		https://github.com/jshttp/content-disposition
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Create and parse Content-Disposition header


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec --bail --check-leaks test/
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Sat Jul 02 2016 Jared Smith <jsmith@fedoraproject.org> - 0.5.1-1
- Update to upstream 0.5.1 release

* Thu Nov  5 2015 Jared Smith <jsmith@fedoraproject.org> - 0.5.0-1
- Initial packaging
